/**
 * 
 */
package it.unicam.cs.asdl1819.queens;

import java.util.List;

/**
 * @author Luca Tesei
 *
 */
public class EightQueenTester {

    /**
     * 
     * Lancia un tester per il solver.
     * 
     * @param args
     *                 nessuno
     */
    public static void main(String[] args) {
        EightQueensSolver solver = new EightQueensSolver();
        List<PositionedQueen> soluzione = solver.firstSolution();
        if (soluzione == null) {
            System.out.println("Prima soluzione nulla!");
            return;
        }
        if (soluzione.size() != 8) {
            System.out.println("Prima soluzione incompleta!");
            return;
        }
        int i = 1;
        System.out.println("Prima soluzione:");
        for (PositionedQueen pq : soluzione) {
            System.out.println("Regina " + i + " Riga: " + pq.getI()
                    + " Colonna: " + pq.getJ());
            i++;
        }
        
        soluzione = solver.nextSolution();
        if (soluzione == null) {
            System.out.println("Seconda soluzione nulla!");
            return;
        }
        if (soluzione.size() != 8) {
            System.out.println("Seconda soluzione incompleta!");
            return;
        }
        i = 1;
        System.out.println("Seconda soluzione:");
        for (PositionedQueen pq : soluzione) {
            System.out.println("Regina " + i + " Riga: " + pq.getI()
                    + " Colonna: " + pq.getJ());
            i++;
        }
    }

}
